Bug 896506 - 3.1 - multipath? [vdsm] ReconstructMasterDomain fails in ConnectStoragePool - cannot find master domain
3.1 - multipath? [vdsm] ReconstructMasterDomain fails in ConnectStoragePool -...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
All Linux
urgent Severity high
: rc
: ---
Assigned To: Yeela Kaplan
Daniel Paikov
: Regression, TestBlocker, ZStream
Depends On: 854140 870768 890365 903673
  Show dependency treegraph
Reported: 2013-01-17 08:19 EST by Chris Pelland
Modified: 2016-02-02 17:40 EST (History)
23 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-1.2.el6
Doc Type: Bug Fix
Doc Text:
Previously, blocking the connection between the host and the storage server (single host, single storage domain of iscsi type), waiting for the data center to become problematic and the storage domain to be inactive, and unblocking the connection resulted in a situation in which the storage domain was never able to reconnect and the data center never returned to active status. A fix was added: connectStoragePool now rescans the iscsi connections and reactivates them in the case that they were previously interrupted. Disconnected storage domains now reconnect to their data centers and the data centers now return to active status after the reconnections.
Story Points: ---
Clone Of: 870768
Last Closed: 2013-02-25 14:07:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 3 Leonid Natapov 2013-01-28 08:50:22 EST
vdsm-4.10.2-1.2.el6. SD successfully reconnects after unblocking the connection to host,that was (connection) previously blocked.
Comment 5 errata-xmlrpc 2013-02-25 14:07:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.